DROP TABLE XML_INVOICE CASCADE CONSTRAINTS ; 
CREATE TABLE XML_INVOICE ( 
  INVOICE_NUMBER  VARCHAR2(30), 
  INVOICE_DATE    DATE, 
  CUSTOMER_ID     NUMBER, 
  INVOICE_ID      NUMBER ) ; 

DROP TABLE XML_INVOICE_ITEMS CASCADE CONSTRAINTS ; 
CREATE TABLE XML_INVOICE_ITEMS ( 
  INVOICE_ITEM_ID  NUMBER, 
  INVOICE_ID       NUMBER, 
  PART_ID          NUMBER, 
  QUANTITY         NUMBER, 
  UNIT_COST        NUMBER ) ; 

DROP TABLE XML_CUSTOMERS CASCADE CONSTRAINTS ; 
CREATE TABLE XML_CUSTOMERS ( 
  CUSTOMER_ID    NUMBER, 
  CUSTOMER_NAME  VARCHAR2(30) ) ; 
  
DROP TABLE XML_PARTS CASCADE CONSTRAINTS ; 
CREATE TABLE XML_PARTS ( 
  PART_NUM   VARCHAR2(30), 
  PART_ID    NUMBER, 
  PART_NAME  VARCHAR2(30) ) ;
  
/* Populate test data */
insert into xml_invoice (invoice_number, invoice_date,customer_id, invoice_id) values
   ('12345', '21-MAY-99', 1, 1 );

insert into xml_invoice_items (invoice_item_id, invoice_id, part_id, quantity, unit_cost) values
   ( 1, 1, 1, 5, 19.99);

insert into xml_invoice_items (invoice_item_id, invoice_id, part_id, quantity, unit_cost) values
   ( 2, 1, 2, 2, 9.99);
   
insert into xml_parts (part_num, part_id, part_name) values
   ('PN-5342', 1, 'Super Duper Widget');

insert into xml_parts (part_num, part_id, part_name) values
   ('PN-6354', 2, 'Not So Super Duper Widget');
   
insert into xml_customers (customer_id, customer_name) values
   (1, 'Megaplex Industries');
   
commit;   
   
   

  